int buf[16384];
main(argc,argv) char **argv;
{
	register int d, i;
	register char *p;
	int uid;
	long	tbuf;

	if (argc == 1) {
		printf("USAGE: usage file [uid1 uid2 ...]  : where 1 < uid < 16384\n");
		exit(1);
	}
	argc--;
	argv++;
	p = *argv;
	argc--;
	if ((d=open(p,0))<0) {
		printf("file %s not present\n",p);
		exit(1);
	}
	for(i = 0; i < 32; i++)
		read(d, &buf[i*1024], 1024);
	time(&tbuf);
	printf("statistics for file %s as of %s\n\n",p,ctime(&tbuf));
	if (argc <= 0) 
		for(i = 0;i < 16384;i =+ 6) {
			if((buf[i]|buf[i+1]|buf[i+2]|buf[i+3]|buf[i+4]|buf[i+5]) == 0)
				continue;
			printf("uid %-8d: %7u%7u",i,buf[i],buf[i+1]);
			printf("%7u%7u%7u",buf[i+2],buf[i+3],buf[i+4]);
			printf("%7u\n",buf[i+5]);
		}
	else
	    while (argc--) {
		argv++;
		if (((uid = atoi(*argv)) < 0) || (uid > 16384)) {
			printf("out of range: uid's from 0 to 16384\n");
			exit(1);
		}
		printf("uid %-8s: %d\n",*argv,buf[uid]);
	}
	close(d);
}
